<?xml version="1.0" encoding="UTF-8"?>
<project>
     <property name="tmp.absoltue.dir" location="${source.dir}"/>
     <property name="bl.source.absolute.dir" location="${bl.source.dir}"/>
     <property name="original.source.absolute.dir" location="${original.source.dir}"/>
     <target name="-pre-build">
          <!-- tmpフォルダにBLと統合したディレクトリを作成する -->
          <delete dir="${tmp.absoltue.dir}" />
          <mkdir dir="${tmp.absoltue.dir}"/>
          <delete dir="${tmp.absoltue.dir}" />
          <mkdir dir="${tmp.absoltue.dir}"/>
          <copy todir="${tmp.absoltue.dir}" overwrite="true" encoding="UTF-8">
                <fileset dir="${bl.source.absolute.dir}">
                        <include name="**/*.java" />
                        <include name="**/*.aidl" />
                </fileset>
            </copy>
          <copy todir="${tmp.absoltue.dir}" overwrite="true" encoding="UTF-8">
                <fileset dir="${original.source.absolute.dir}">
                        <include name="**/*.java" />
                        <include name="**/*.aidl" />
                </fileset>
            </copy>
    </target>
    <target name="-pre-clean">
        <delete dir="${tmp.absoltue.dir}" />
    </target>
</project>
